=== debian/control ===
Source: systemimager
Section: admin
Priority: optional
Maintainer: dann frazier <dannf@debian.org>
Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, sysutils, texinfo, uuid-dev
Build-Conflicts: libc6.1-pic
Build-Depends-Indep: bc, bzip2, debhelper (>= 4.0.0), docbook-to-man, docbook-utils, jadetex, sgmltools-lite
Standards-Version: 3.5.7

Package: systemimager-server
Architecture: all
Depends: ${perl:Depends}, binutils, debianutils (>= 1.7), dosfstools, libappconfig-perl, libxml-parser-perl, libxml-simple-perl, mkisofs, mtools, rsync, systemconfigurator (>= 2.0.1), systemimager-boot-i386-standard | systemimager-boot-ia64-standard, systemimager-common (= ${Source-Version})
Recommends: dhcp3-server | dhcp, syslinux
Description: Automate GNU/Linux installs and upgrades over a network
 SystemImager is a set of utilities for installing GNU/Linux images to
 clients machines over the network.  Images are stored in flat files on the
 server, making updates easy.  rsync is used for transfers, making updates
 efficient.

Package: systemimager-client
Architecture: all
Depends: ${perl:Depends}, rsync, systemimager-common (= ${Source-Version}), systemconfigurator (>= 2.0.1)
Description: Utilities for creating an image and upgrading client machines
 SystemImager is a set of utilities for installing GNU/Linux images to
 clients machines over the network.  Images are stored in flat files on the
 server, making updates easy.  rsync is used for transfers, making updates
 efficient.
 .
 This package contains utilities for updating a client's image from the
 server, and preparing a client for having its image fetched by the server.

Package: systemimager-common
Architecture: all
Depends: ${perl:Depends}, rsync
Description: Utilities and libraries common to both the server and client
 SystemImager is a set of utilities for installing GNU/Linux images to
 clients machines over the network.  Images are stored in flat files on the
 server, making updates easy.  rsync is used for transfers, making updates
 efficient.
 .
 This package contains files common to both the systemimager client and server.

Package: systemimager-doc
Section: doc
Architecture: all
Suggests: systemimager-server
Description: Manual and other documentation
 SystemImager is a set of utilities for installing GNU/Linux images to
 clients machines over the network.  Images are stored in flat files on the
 server, making updates easy.  rsync is used for transfers, making updates
 efficient.
 .
 This package contains documentation for SystemImager.

Package: systemimager-boot-i386-standard
Architecture: all
Recommends: systemimager-server
Conflicts: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386, systemimager-server (<< 3.2.3), systemimager-server (>= 3.2.4)
Replaces: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386
Description: SystemImager boot binaries for i386 client nodes
 SystemImager is a set of utilities for installing GNU/Linux images to
 client machines over the network.  Images are stored in flat
 files on the server, making updates easy.  rsync is used for transfers,
 making updates efficient.
 .
 This package contains the standard flavor of the boot files for installing
 i386 machines.  This package should be installed on the image server.

Package: systemimager-server-flamethrowerd
Architecture: all
Depends: systemimager-server (>=3.2.0), flamethrower
Description: SystemImager boot binaries for i386 client nodes
 SystemImager is a set of utilities for installing GNU/Linux images to
 client machines over the network.  Images are stored in flat
 files on the server, making updates easy.  rsync is used for transfers,
 making updates efficient.
 .
 This package adds support for doing multicast installations.  Multicast
 scales very well, allowing for the installation of hundreds of clients
 at the same time.  Some tuning is required for optimal performance.
 .
 This release requires that your client has enough memory to hold a copy
 of the system image.
