=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: dann frazier <dannf@debian.org>
-Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, sysutils, texinfo, uuid-dev
+Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, python [ia64], sysutils, texinfo, uuid-dev
 Build-Conflicts: libc6.1-pic
 Build-Depends-Indep: bc, bzip2, debhelper (>= 4.0.0), docbook-to-man, docbook-utils, jadetex, sgmltools-lite
 Standards-Version: 3.5.7
