=== debian/changelog ===
systemimager (3.4.1-1) unstable; urgency=low

  * New upstream release
  * The following patches have been included upstream:
      - ia64_host_type.patch
      - nogpgverify.patch

 -- dann frazier <dannf@debian.org>  Fri, 10 Jun 2005 07:56:36 -0600

systemimager (3.4.0-2) unstable; urgency=low

  * Call si_mkrsyncd_conf instead of mkrsyncd_conf in postinst
  * enable tg3

 -- dann frazier <dannf@dannf.org>  Tue, 22 Feb 2005 23:17:20 -0700

systemimager (3.4.0-1) unstable; urgency=low

  * New upstream release
  * systemimager-ssh is no longer a separate package.

 -- dann frazier <dannf@debian.org>  Fri, 04 Feb 2005 01:12:20 -0700
