=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: dann frazier <dannf@debian.org>
-Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, python [ia64], sysutils, texinfo, uuid-dev
+Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>= 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, libssl-dev, modutils, sysutils, texinfo, uuid-dev, zlib1g-dev
 Build-Conflicts: libc6.1-pic
 Build-Depends-Indep: bc, bzip2, debhelper (>= 4.0.0), docbook-to-man, docbook-utils, jadetex, sgmltools-lite
 Standards-Version: 3.5.7
@@ -55,8 +55,8 @@
 Package: systemimager-boot-i386-standard
 Architecture: all
 Recommends: systemimager-server
-Conflicts: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386, systemimager-server (<< 3.2.3), systemimager-server (>= 3.2.4)
-Replaces: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386
+Conflicts: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386, systemimager-ssh-i386, systemimager-server (<< 3.4.1), systemimager-server (>= 3.4.2)
+Replaces: systemimager-bin-i386, systemimager-kernel-i386, systemimager-initrd-i386, systemimager-boot-standard-i386, systemimager-ssh-i386
 Description: SystemImager boot binaries for i386 client nodes
  SystemImager is a set of utilities for installing GNU/Linux images to
  client machines over the network.  Images are stored in flat
@@ -68,7 +68,7 @@
 
 Package: systemimager-server-flamethrowerd
 Architecture: all
-Depends: systemimager-server (>=3.2.0), flamethrower
+Depends: systemimager-server (>=3.4.1), flamethrower
 Description: SystemImager boot binaries for i386 client nodes
  SystemImager is a set of utilities for installing GNU/Linux images to
  client machines over the network.  Images are stored in flat
