=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	## make sure parted doesn't segfault
 	mkdir mnt
 	mkdir testroot
-	sudo mount $(BUILD_DIR)/initrd_source/initrd mnt -t cramfs -o loop
+	sudo mount $(BUILD_DIR)/initrd_source/initrd -t cramfs mnt -o loop
 	sudo rsync -av mnt/* testroot/
 	sudo umount mnt
 	rmdir mnt
@@ -155,7 +155,7 @@
 	dh_testroot -N$(BOOTPKG)
 #	dh_installdebconf
 	dh_installdocs -N$(BOOTPKG)
-	dh_installexamples -p$(PKG)-server $(BUILD_DIR)/doc/local.cfg
+	dh_installexamples -p$(PKG)-server $(BUILD_DIR)/doc/examples/*
 
 	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-rsyncd \
 	  ./debian/$(PKG)-server.init
@@ -163,12 +163,16 @@
 
 	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-netbootmond \
 	  ./debian/$(PKG)-server.init
+	## This isn't exactly FHS compliant - systemimager-server shouldn't
+	## be installing an initscript called "netbootmond"  However,
+	## netbootmond isn't really a systemimager-specific utility,
+	## so maybe it should probably be its own package.
 	dh_installinit -p$(PKG)-server --init-script=netbootmond
 
 	cp ./$(PKG)-$(VERSION)/etc/init.d/$(PKG)-server-flamethrowerd \
 	  ./debian/$(PKG)-server-flamethrowerd.init
 	dh_installinit -p$(PKG)-server-flamethrowerd \
-	  --init-script=systemimager-server-flamethrowerd
+	  --init-script=$(PKG)-server-flamethrowerd
 
 	dh_installchangelogs -N$(BOOTPKG)
 	dh_link -N$(BOOTPKG)
